/* You can add global styles to this file, and also import other style files */

$color_1: rgb(255, 136, 0);
$color_1_fade: rgba(246, 136, 48, 0.60);
$color_2: #00c3db;
$color_3: #9c27b0;
$color_4: #89be50;
$color_5: red;
$color_6: rgb(0, 190, 0);
$color_7: rgb(255, 204, 0);


.pointer {
  cursor: pointer;
}

.loader {
  width: 8px;
  height: 48px;
  display: block;
  margin: auto;
  left: -70px;
  position: relative;
  border-radius: 0px;
  box-sizing: border-box;
  animation: animloader 1s linear infinite alternate;
}

.toast-top-right {
  top: 100px;
  margin: 0 auto;
}

@keyframes animloader {
  0% {
    box-shadow: 20px -10px #f69730, 20px 10px #f69730, 
                40px 0 rgba(246, 136, 48, 0.9), 40px 0 rgba(246, 136, 48, 0.9), 
                60px 0 rgba(246, 136, 48, 0.4), 60px 0 rgba(246, 136, 48, 0.4),
                80px 0 rgba(246, 136, 48, 0.1), 80px 0 rgba(246, 136, 48, 0.1),
                100px 0 rgba(246, 136, 48, 0), 100px 0 rgba(246, 136, 48, 0),
                120px 0 rgba(246, 136, 48, 0), 120px 0 rgba(246, 136, 48, 0);
  }
  20% {
    box-shadow: 20px 0 rgba(246, 136, 48, 0.9), 20px 0 rgba(246, 136, 48, 0.9), 
                40px -10px #f69730, 40px 10px #f69730, 
                60px 0 rgba(246, 136, 48, 0.9), 60px 0 rgba(246, 136, 48, 0.9),
                80px 0 rgba(246, 136, 48, 0.4), 80px 0 rgba(246, 136, 48, 0.4),
                100px 0 rgba(246, 136, 48, 0.1), 100px 0 rgba(246, 136, 48, 0.1),
                120px 0 rgba(246, 136, 48, 0.0), 120px 0 rgba(246, 136, 48, 0.0)
  }
  40% {
    box-shadow: 20px 0 rgba(246, 136, 48, 0.4), 20px 0 rgba(246, 136, 48, 0.4), 
                40px 0 rgba(246, 136, 48, 0.9), 40px 0 rgba(246, 136, 48, 0.9), 
                60px -10px #f69730, 60px 10px #f69730, 
                80px 0 rgba(246, 136, 48, 0.9), 80px 0 rgba(246, 136, 48, 0.9),
                100px 0 rgba(246, 136, 48, 0.4), 100px 0 rgba(246, 136, 48, 0.4),
                120px 0 rgba(246, 136, 48, 0.1), 120px 0 rgba(246, 136, 48, 0.1);
  }
  60% {
    box-shadow: 20px 0 rgba(246, 136, 48, 0.1), 20px 0 rgba(246, 136, 48, 0.1), 
                40px 0 rgba(246, 136, 48, 0.4), 40px 0 rgba(246, 136, 48, 0.4), 
                60px 0 rgba(246, 136, 48, 0.9), 60px 0 rgba(246, 136, 48, 0.9), 
                80px -10px #f69730, 80px 10px #f69730,
                100px 0 rgba(246, 136, 48, 0.9), 100px 0 rgba(246, 136, 48, 0.9),
                120px 0 rgba(246, 136, 48, 0.4), 120px 0 rgba(246, 136, 48, 0.4);
  }
  80% {
    box-shadow: 20px 0 rgba(246, 136, 48, 0.0), 20px 0 rgba(246, 136, 48, 0.0), 
                40px 0 rgba(246, 136, 48, 0.1), 40px 0 rgba(246, 136, 48, 0.1), 
                60px 0 rgba(246, 136, 48, 0.4), 60px 0 rgba(246, 136, 48, 0.4),
                80px 0 rgba(246, 136, 48, 0.9), 80px 0 rgba(246, 136, 48, 0.9),
                100px -10px #f69730, 100px 10px #f69730,
                120px 0 rgba(246, 136, 48, 0.9), 120px 0 rgba(246, 136, 48, 0.9);
  }
  100% {
    box-shadow: 20px 0 rgba(246, 136, 48, 0), 20px 0 rgba(246, 136, 48, 0), 
                40px 0 rgba(246, 136, 48, 0.0), 40px 0 rgba(246, 136, 48, 0.0), 
                60px 0 rgba(246, 136, 48, 0.1), 60px 0 rgba(246, 136, 48, 0.1),
                80px 0 rgba(246, 136, 48, 0.4), 80px 0 rgba(246, 136, 48, 0.4),
                100px 0 rgba(246, 136, 48, 0.9), 100px 0 rgba(246, 136, 48, 0.9),
                120px -10px #f69730, 120px 10px #f69730;
  }
}

.mat-chip {
  font-weight: unset;
  font-size: 12px;
}

.mat-standard-chip {
  border-radius: unset !important;
  margin: unset !important;
  margin-left: auto !important;
}

.mat-standard-chip.mat-orange {
  background-color: $color_1;
  color: white;
}

.mat-chip-list-wrapper {
  position: absolute !important;
  z-index: 1 !important;
  margin: -10px !important;
}

.mat-icon-right {
  float: right;
}

.mat-card-header-text {
  width: 100%;
}

.mat-card {
  border-radius: 0 !important;
}

.mat-standard-chip {
  min-height: unset !important;
  padding: 10px 6px !important;
  a {
    color: black;
    a:hover {
      color: unset;
    }
  }
}

.mat-paginator {
  display: unset !important;
}

.orange-text {
	color: $color_1 !important;
	//font-weight: 700;
}
.backgroud-orange {
  background-color: $color_1;
}

.cyan-text {
	color: $color_2 !important;
	//font-weight: 700;
}
.purple-text {
	color: $color_3 !important;
	//font-weight: 700;
}
.light-green-text {
	color: $color_4 !important;
	//font-weight: 700;
}
.green-text {
	color: $color_6 !important;
	//font-weight: 700;
}
.red-text {
  color: $color_5 !important;
} 
.succeeded {
  color: $color_6 !important;
  font-size: 20px;
  position: absolute;
  padding-left: 5px;
}
.succeededTested {
  color: $color_6 !important;
  font-size: 16px;
}
.statewarnTested {
  color: $color_7 !important;
  font-size: 16px;
}
.statewarn {
  color: $color_7 !important;
  font-size: 20px;
  position: absolute;
  padding-left: 5px;
}
.failed {
  color: $color_5 !important;
  font-size: 20px;
  position: absolute;
  padding-left: 5px;
}
.failedTested {
  color: $color_5 !important;
  font-size: 16px;
}
.failed-left {
  color: $color_5 !important;
  font-size: 18px;
}
.succeeded-left {
  color: $color_6 !important;
  font-size: 18px;
}
.succeeded-min-left {
  color: $color_6 !important;
  font-size: 12px;
}
.failed-min-left {
  color: $color_5 !important;
  font-size: 12px;
}
.pending-left {
  color: $color_1 !important;
  font-size: 18px;
}
.fa-1-4x {
  font-size: 1.4em;
  color: $color_1;
}
.black-fa-1-4x {
  font-size: 1.4em;
  color: black;
}

.spinner {
  animation: rotate 2s linear infinite;
  z-index: 2;
  //position: absolute;
  top: 50%;
  left: 50%;
  //margin: -25px 0 0 -25px;
  width: 20px;
  height: 20px; 
  & .path {
    stroke: $color_1;
    stroke-linecap: round;
    animation: dash 1.5s ease-in-out infinite;
  }
}

.text-underline {
  text-decoration-line: underline;
  text-decoration-thickness: 2px;
}

.myTitle {
  text-transform: capitalize;
}

.mt-top {
  margin-top: 6rem;
}

.pt-top {
  padding-top: 6rem;
}

.cdk-overlay-container {
  z-index: 99999;
}

.mat-typography {
  font-family: Arial, Helvetica, sans-serif; 
}

.mat-divider {
  margin-top: -1px;
  border-color: $color_1;
}

.mat-simple-snackbar-action {
  color: inherit;
}

.mat-raised-button {
  border-radius: 0 !important;
  &:focus {
    outline: none;
  }
}

.orange-progress-bar {
  // &.mat-progress-bar {
  //   height: 10px;
  // }

  .mat-progress-bar-fill::after {
    background-color: $color_1;
  }

  .mat-progress-bar-buffer {
    background-color: rgba(246, 136, 48, 0.3);
  }

  /* remove animation and the dots*/ 
  .mat-progress-bar-background {
    animation: none;
    background-color: #eceff1;
    fill: #eceff1;
  }
}

.mat-radio-button.mat-radio-checked.mat-orange .mat-radio-outer-circle {
  border-color: $color_1;
}

.mat-raised-button.mat-orange, .mat-flat-button.mat-orange {
  background-color: $color_1;
  color: white;
}

.mat-slide-toggle.mat-checked.mat-orange .mat-slide-toggle-thumb,
.mat-slide-toggle.mat-checked.mat-orange .mat-ripple-element,
.mat-radio-button.mat-orange .mat-radio-ripple .mat-ripple-element,
.mat-checkbox-checked:not(.mat-checkbox-disabled).mat-orange .mat-ripple-element,
.mat-checkbox-checked.mat-orange .mat-checkbox-background,
.mat-checkbox-checked.mat-primary .mat-checkbox-background,
.mat-checkbox-indeterminate.mat-orange .mat-checkbox-background {
  background-color: $color_1 !important;
}

.mat-slide-toggle.mat-checked.mat-orange .mat-slide-toggle-bar {
  background-color: $color_1_fade;
}

.mat-radio-button.mat-radio-checked.mat-orange .mat-radio-inner-circle {
  color: $color_1;
  background-color: $color_1;
}

.mat-pseudo-checkbox.mat-pseudo-checkbox-checked {
  background: $color_1 !important;
}

.snackBar-fail {
  margin-top: 80px !important;
  color: #ffffff !important;
  background-color: rgba(255, 0, 0, 0.70) !important;
}

.snackBar-ok {
  margin-top: 80px !important;
  color: #ffffff !important;
  background-color: rgba(0, 128, 0, 0.70) !important;
}

.mat-list-base .mat-list-item {
  height: 32px !important;
}
.navbar {
  .subbar {
    width: 100%;
    //background-color: #e9ecef;
    float: left;
    display: block;
  }
  .navbar-brand {
    float: 	left;
    margin-top: 12px;
    outline: none;
    h2 {
      color: white;
      text-transform: uppercase;
      font-size: 24px;
      font-weight: 800;
      -webkit-transition: all .2s ease .0s;
      -moz-transition: all .2s ease .0s;
      -o-transition: all .2s ease .0s;
      transition: all .2s ease .0s;
      em {
        font-style: normal;
        color: $color_1;
      }
    }
  }
  .navbar-nav {
    .nav-item {
      margin: 0px 15px;
    }
    a.nav-link {
      text-transform: capitalize;
      font-size: 15px;
      letter-spacing: 0.5px;
      color: #fff;
      transition: all 0.3s;
      margin-top: 5px;
      font-weight: 800;
    }
    .nav-link:hover, .active>.nav-link,
    .nav-link.active, .nav-link.show,
    .show>.nav-link {
      color: $color_1;
    }
  }
  .navbar-toggler-icon {
    background-image: none;
  }
  .navbar-toggler {
    border-color: #fff;
    background-color: #fff;	
    height: 36px;
    outline: none;
    border-radius: 0px;
    position: absolute;
    right: 30px;
    top: 20px;
  }
  .navbar-toggler-icon:after {
    content: '\f0c9';
    color: #00bcd4;
    font-size: 18px;
    line-height: 26px;
    font-family: 'FontAwesome';
  }
}
#navbarResponsive {
	z-index: 999;
}
.navbar-collapse {
	text-align: center;
}
.navbar-brand {
    .font-xsmall {
        float: left;
        font-size: 0.8rem;
        margin-top: -.5rem;
    }
}

.dropdown-menu {
  z-index: 99999;
  border-radius: 0;
}
.dropdown-item {
  font-weight: 500;
}
.dropdown-item:hover {
  color: $color_1;
}

myHeader {
	position: fixed;
	z-index: 998;
	width: 100%;
	background-color: #e9ecef;
	border-bottom: 1px solid rgba(250,250,250,0.30);
  height: 40px;
  margin-top: 80px;
	-webkit-transition: all .2s ease .0s;
  -moz-transition: all .2s ease .0s;
  -o-transition: all .2s ease .0s;
  transition: all .2s ease .0s;
  .navbar {
    padding: 0.6rem 0rem 0rem 0rem!important;
    .container-fluid {
      display: block;
      padding: 0rem;
    }
  }

  .navbar-nav a.nav-link {
    color: #1e1e1e!important;
    margin-top: 0px!important;
    font-size: 12px!important;
    padding: 0rem!important;
  }
  .navbar-nav .nav-link:hover,
  .navbar-nav .nav-link.show,
  .navbar-nav a.nav-link.active,
  .navbar-nav .show>.nav-link {
    color: $color_1!important;
  }
}

/* Footer Style */
footer {
	background-color: black;
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
  padding-bottom: 28px;
  bottom: 0px;
}
footer .footer-heading h2 {
	color: #fff;
	font-size: 19px;
	font-weight: 600;
	letter-spacing: 0.5px;
	margin-bottom: 30px;
}
footer p {
	color: #fff;
}
footer ul {
	padding: 0;
	margin: 0;
	list-style: none;
}
footer ul li {
	margin-bottom: 10px;
	font-size: 14px;
	font-weight: 500;
	color: #fff;
	letter-spacing: 0.5px;
}
footer ul li:last-child {
	margin-bottom: 0px;
}
footer ul li a {
	color: #fff;
	font-size: 14px;
	font-weight: 300;
	transition: all 0.3s;
}
footer ul li a:hover {
	color: #fff;
	opacity: 0.75;
}
footer .sub-footer {
	text-align: center;
	/* margin-top: 80px; */
	border-top: 1px solid rgba(250,250,250,0.30);
	padding-top: 40px;
}
footer .sub-footer a {
	color: #FFF;
}

.background-myheader {
  height: 30px;
  margin-top: 40px;
  .navbar {
    padding: 0.3rem 0rem 0rem 0rem!important;
  }
  .container {
    padding: 0.1rem 0rem!important;
  }
}

wrapper {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 10px;
  grid-auto-rows: minmax(109px, auto);
  .header {
    grid-column: 1;
    grid-row: 1;
  }
  .page {
    grid-column: 1;
  }
}

.myblock {
  position: fixed;
  width: 10%;
  padding-top: 50px;
  top: 50px;
  -webkit-transition: all .2s ease .0s;
  -moz-transition: all .2s ease .0s;
  -o-transition: all .2s ease .0s;
  transition: all .2s ease .0s;
}

.update-wrapper {
  .myblock {
    top: 0px;
  }
}

.card-list {
  // box-shadow: 0 2px 5px 0 rgba(0,0,0,.16),0 2px 10px 0 rgba(0,0,0,.12);
  // border: 0;
  font-weight: 400;
  border-radius: 0;
  width: 370px;
  // margin-bottom: 1.5rem;
  transition: box-shadow .2s linear;
  -webkit-transition: box-shadow .2s linear;
  &:hover {
    box-shadow: 0 8px 17px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .19);
  }
}

.card {
  font-weight: 400;
  border-radius: 0;
}

.cards {
  margin: 10px auto auto 20px;
  display: grid;
  grid-gap: 3rem;
  grid-template-columns: repeat(auto-fit, 370px);
  justify-content: left;
}

.field-icon {
  float: right;
  margin-top: -19px;
  margin-right: -20px;
  z-index: 2;
  padding-right: 1.5rem;
  font-weight: 400;
}

.radio-section {
  display: flex;
  align-content: center;
  align-items: center;
  height: 60px;
  font-weight: 500;
}

.mat-form-field-label {
  //font-size: larger !important;
  font-weight: 500 !important;
}

.mat-form-field-label-font {
  font-size: large !important;
  font-weight: 800 !important;
  color: $color_1;
}

.mat-option.mat-selected {
  color: $color_1 !important;
}

.mat-focused .mat-form-field-label {
  color: $color_1 !important;
}

.mat-focused .mat-form-field-underline {
  background-color: $color_1 !important;
} 

.mat-form-field-ripple {
  background-color: $color_1 !important;;
}

.modal {
  z-index: 1000;
}

.modal-content {
  margin-top: 90px;
  border-radius: 0;
  box-shadow: 0 5px 10px 0 rgba(0,0,0,.16),0 5px 10px 0 rgba(0,0,0,.12);
}

.full-width {
  width: 100%;
}

.mid-width {
  width: 75%;
}

.mid-left-width {
  width: 50%;
  float: left;
}
.mid-right-width {
  width: 50%;
  float: right;
}

.quater-right-width {
  width: 35%;
}

.left {
  float: left;
}

.right {
  float: right;
}

.login-error {
	margin-bottom: -2.5rem;
}

.min-heigth {
  min-height: calc(100vh - 220px);
}

.min-width {
  min-width: 10%;
}

.max-width {
  max-width: 90%;
  width: 100%;
  padding: 1.5rem;
  // background-color: ghostwhite;
}

[class^="title-project"],
[class*=" title-project"] {
  padding: 1.7rem;
  //font-size: 2rem;
  color: white;
  text-align: left;
  margin-left: 1rem;
  margin-top: -1.5rem;
  border-radius: 3px;
  box-shadow: 0 2px 9px 0 rgba(0,0,0,.2), 0 2px 13px 0 rgba(0,0,0,.19);
  .h2 {
    font-weight: 500;
  }
  .data-title {
    float: left;
    text-align: left;
    margin-left: 1rem;
    margin-top: 1rem;
    p {
      color: gray;
      font-size: 1.10rem;
      font-weight: 500;
    }
  }
  .data {
    margin-left: auto;
    float: right;
    margin-top: 1rem;
    text-align: right;
    margin-right: 2rem;
    p {
      color: gray;
      font-size: 1rem;
      font-weight: 400;
      margin-bottom: 0;
    }
  }
}

.progress .indeterminate { 
	background-color: #46BFBD; 
}

/* small bundle*/
div[class^="triple-column"],
div[class*=" triple-column"] {
  width: 33%;
	float: left;
  padding: 0 .5rem;
  .card {
		// min-height: 175px;
		// cursor: pointer;
		transition: box-shadow .2s linear;
		-webkit-transition: box-shadow .2s linear;
		&:hover {
			box-shadow: 0 8px 17px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .19);
		}
	}
}

[class*="pt-2-and-half"] {
  padding-top: 1rem;
}

[class*="texte-center"] {
	text-align: center;
}

[class*="-border"] {
	.card-header {
		border-radius: 0px !important;
	}
}

.app-loading {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  .logo {
    // width: 80px;
    // height: 80px;
    // background: url(./assets/logo.png) center center no-repeat;
    background-size: cover;
  }
  .spinner {
    height: 200px;
    width: 200px;
    animation: rotate 2s linear infinite;
    transform-origin: center center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    .path {
      stroke-dasharray: 1, 200;
      stroke-dashoffset: 0;
      animation: dash 1.5s ease-in-out infinite;
      stroke-linecap: round;
      stroke: #ddd;
    }
  }
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
}
html, body { height: 100%; }
body { margin: 0; font-family: Arial, Helvetica, sans-serif; }
